# AI Assistant List

Base URL: `https://api.maiagent.ai/api`

## Authentication

All API requests require authentication using an API key in the header:

```
Authorization: Api-Key YOUR_API_KEY
```

## Endpoints

#### 1. Get Chatbot List

Get a list of available chatbots.

```bash
curl -X GET \
  'https://api.maiagent.ai/api/v1/chatbots/?page=1&pageSize=10' \
  -H 'Authorization: Api-Key YOUR_API_KEY'
```

**Parameters:**

* `page` (query parameter): Page number
* `pageSize` (query parameter): Number of items per page

**Response:**

```json
{
  "count": "integer",
  "next": "string|null",
  "previous": "string|null",
  "results": [
    {
      "id": "string",
      "name": "string",
      "largeLanguageModel": {
        "id": "string",
        "name": "string",
        "isDefault": "boolean"
      },
      "rag": {
        "id": "string",
        "name": "string",
        "isDefault": "boolean",
        "isEmbeddingModelSelectable": "boolean",
        "isRerankerModelSelectable": "boolean"
      },
      "embeddingModel": {
        "id": "string",
        "name": "string",
        "isDefault": "boolean"
      },
      "rerankerModel": {
        "id": "string",
        "name": "string",
        "isDefault": "boolean"
      },
      "updatedAt": "string"
    }
  ]
}
```

#### 2. Create Chat Completion


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.maiagent.ai/tech/maiagent-tech-en/api-integration/qu-de-ji-qi-ren-lie-biao-bing-dui-hua.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
